#if !defined(AFX_COLOR_GROUP_H__D169645D_CF62_11D5_8836_00C0DFF8C897__INCLUDED_)
#define AFX_COLOR_GROUP_H__D169645D_CF62_11D5_8836_00C0DFF8C897__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma pack (push, 1)
typedef struct {
	unsigned char red;
	unsigned char green;
	unsigned char blue;
} rgb;
#pragma pack (pop)

class color_group  
{
public:
	color_group ();
	virtual ~color_group ();

	bool load (FILE* in, unsigned short num_colors, unsigned char bits);

	inline unsigned short size () const {return color_size;};
	inline unsigned char red (const int i) const {return colors [i].red;};
	inline unsigned char green (const int i) const {return colors [i].green;};
	inline unsigned char blue (const int i) const {return colors [i].blue;};

protected:
	unsigned short color_size;
	rgb *colors;	
};

typedef vector < color_group* > color_vector;

#endif // !defined(AFX_COLOR_GROUP_H__D169645D_CF62_11D5_8836_00C0DFF8C897__INCLUDED_)
