#ifndef _dbg_h_
#define _dbg_h_

#ifdef _DEBUG
	#define TRACE	_dbg_trace("%s(%d) : ",__FILE__,__LINE__);_dbg_trace
	inline void _dbg_trace (const char* msg, ...)
	{
		char temp1 [4096];
		va_list marker;
		va_start (marker, msg);
		vsprintf (temp1, msg, marker);
		OutputDebugString (temp1);
	}
#else
	#define TRACE	(void)
#endif

#endif
