#if !defined(AFX_PALETTE_H__D169645A_CF62_11D5_8836_00C0DFF8C897__INCLUDED_)
#define AFX_PALETTE_H__D169645A_CF62_11D5_8836_00C0DFF8C897__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "color_group.h"

#pragma pack(push,1)
typedef struct {
	unsigned char magic [4];
	unsigned char tag;
	unsigned char bits;
	unsigned short ext;
	unsigned short colors;
	unsigned short groups;
	unsigned char reserved [20];
} palette_header;
#pragma pack(pop)

class palette  
{
public:
	palette ();
	virtual ~palette ();

	bool load (const char* filename);

	unsigned int size ();
	unsigned char red (const int i, const int pal_num);
	unsigned char green (const int i, const int pal_num);
	unsigned char blue (const int i, const int pal_num);

protected:
	palette_header header;
	color_vector groups;
};

#endif // !defined(AFX_PALETTE_H__D169645A_CF62_11D5_8836_00C0DFF8C897__INCLUDED_)
